Magick++: Magick::DrawableTextAntialias Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::DrawableTextAntialias Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextAntialias:
[legend]
Collaboration diagram for Magick::DrawableTextAntialias:
[legend]

## Public Member Functions
| DrawableTextAntialias (bool flag_)
| DrawableTextAntialias (const DrawableTextAntialias &original_)
| ~DrawableTextAntialias (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | flag (bool flag_)
bool | flag (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2082 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTextAntialias() [1/2]

Magick::DrawableTextAntialias::DrawableTextAntialias | ( | bool | flag_ | ) |

Definition at line 1517 of file Drawable.cpp.

## ◆ DrawableTextAntialias() [2/2]

Magick::DrawableTextAntialias::DrawableTextAntialias | ( | const DrawableTextAntialias & | original_ | ) |

Definition at line 1521 of file Drawable.cpp.

## ◆ ~DrawableTextAntialias()

Magick::DrawableTextAntialias::~DrawableTextAntialias | ( | void |  | ) |

Definition at line 1526 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTextAntialias::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1535 of file Drawable.cpp.

## ◆ flag() [1/2]

void Magick::DrawableTextAntialias::flag | ( | bool | flag_ | ) |
| inline

Definition at line 2097 of file Drawable.h.

## ◆ flag() [2/2]

bool Magick::DrawableTextAntialias::flag | ( | void |  | ) | const
| inline

Definition at line 2101 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableTextAntialias::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1530 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp